GET
/
v1
/
organizations
/
{organizationId}
/
provider-gateway
/
sessions
/
{sessionId}
/
messages
TypeScript client
import { OctosparkClient } from '@octospark/sdk'

const client = new OctosparkClient({
  token: process.env.OCTOSPARK_TOKEN
})

const response = await client.providerGateway.listProviderSocketMessages({
  organizationId: process.env.OCTOSPARK_ORGANIZATION_ID ?? "organizationId",
  sessionId: process.env.OCTOSPARK_SESSION_ID ?? "sessionId",
  query: {},
})
{
  "data": [
    {
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "sequence": 123,
      "bodyBase64": "<string>",
      "binary": true
    }
  ]
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

organizationId
string
required

Organization id (UUID). Discover ids via the list organizations endpoint or the agent context.

sessionId
string<uuid>
required

Socket session UUID returned when opening a provider WebSocket session.

Pattern: ^[0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[0-9a-fA-F]{4}-[0-9a-fA-F]{4}-[0-9a-fA-F]{12}$

Query Parameters

afterSequence
string

a string to be decoded into a number

Response

Success

data
object[]
required